> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hybridbox.io/llms.txt
> Use this file to discover all available pages before exploring further.

# احصل على رصيد المحفظة

> إعادة رصيد محفظة الحساب.

<script src="/locale-bridge.js" />


## OpenAPI

````yaml /openapi.ar.json GET /v1/public/accounts/{account_id}/billing/wallet-balance
openapi: 3.1.0
info:
  title: Code API (Public)
  version: 1.0.0
servers:
  - url: https://api.hybridbox.io
security: []
paths:
  /v1/public/accounts/{account_id}/billing/wallet-balance:
    get:
      tags:
        - public-accounts
        - public-billing
      summary: احصل على رصيد المحفظة
      description: إعادة رصيد محفظة الحساب.
      operationId: >-
        get_public_wallet_balance_v1_public_accounts__account_id__billing_wallet_balance_get
      parameters:
        - in: path
          name: account_id
          required: true
          schema:
            format: uuid
            title: Account Id
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicWalletBalanceResponse'
          description: ''
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: خطأ في التحقق
      security:
        - PublicBearerAuth: []
components:
  schemas:
    PublicWalletBalanceResponse:
      properties:
        accrued_charges:
          description: الرسوم المستحقة غير المفوترة
          pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
          title: الرسوم المستحقة
          type: string
        balance:
          description: رصيد المحفظة الحالي
          pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
          title: الرصيد
          type: string
        currency:
          description: رمز عملة المحفظة
          title: العملة
          type: string
        net_balance:
          description: رصيد المحفظة بعد الرسوم المستحقة
          pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
          title: الرصيد الصافي
          type: string
      required:
        - balance
        - accrued_charges
        - net_balance
        - currency
      title: PublicWalletBalanceResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: التفاصيل
          type: array
      title: HTTPخطأ تحقق
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: الموقع
          type: array
        msg:
          title: الرسالة
          type: string
        type:
          title: نوع الخطأ
          type: string
      required:
        - loc
        - msg
        - type
      title: خطأ تحقق
      type: object
  securitySchemes:
    PublicBearerAuth:
      bearerFormat: JWT or Hybridbox Service account token
      description: >-
        Public API bearer credential sent as `Authorization: Bearer <token>`.
        Use either an OAuth access token or a Hybridbox Service account token.
      scheme: bearer
      type: http

````